{% extends "base.html" %}

{% load widget_tweaks %}

{% block nav %}
{% include "parts/nav.html" %}
{% endblock %}

{% block jumbotron %}
<h1>MetaBase</h1>
<p>The metabarcoding database.</p>
{% endblock %}

{% block messages%}
<div id="loggin-messages">
  {%include "parts/information-message.html" %}
  {% if form.non_field_errors %}
    {% for error in form.non_field_errors %}
      <div class="alert alert-danger alert-dismissible">
        {{ error }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    {% endfor %}
  {% endif %}
  {% if next %}
    {% if user.is_authenticated %}
      <div class="alert alert-warning alert-dismissible">
        Your account doesn't have access to this page.
        To proceed, please login with an account that has access.
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    {% else %}
      <div class="alert alert-info alert-dismissible">
        Please login to see this page.
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    {% endif %}
  {% endif %}
</div>
{%endblock%}

{% block content %}
<div class="row justify-content-center">
  <div class="col-md-7 py-2">
    <div class="card">
      <div class="card-header">
        <h2>Sign in</h2>
      </div>
      <div class="card-body">
        <p>Please enter your email and password to sign in the metabase database.</p>
        <form id="loggin-form" method="post">
          {% csrf_token %}
          <div class="form-group row">
            <label class="col-sm-3 col-form-label" for="{{ form.username.id_for_label }}">Username:</label>
            <div class="col-sm-6">
              {% render_field form.username class="form-control" autocomplete="off"%}
            </div>
          </div>
          <div class="form-group row">
            <label class="col-sm-3 col-form-label" for="{{ form.password.id_for_label }}">Password:</label>
            <div class="col-sm-6">
              {% render_field form.password class="form-control"%}
            </div>
          </div>
          <div class="form-group row">
            <input type="hidden" name="next" value="{{ next }}" />
          </div>
          <div class="form-group row">
            <div class="col-sm-12 text-right">
              <p>
                <a href={% url "password_reset" %}>Lost password?</a>
              </p>
            </div>
          </div>

        </form>
      </div>
      <div class="card-footer text-center">
        <button id="user-loggin" type="submit" form="loggin-form" class="btn btn-outline-success" data-loading-text=" <i class='fa fa-spinner fa-spin'></i> Sign in">Sign in</button>
      </div>
    </div>
  </div>
</div>
{% endblock %}
